{% extends '::base.html.twig' %}

{% block title %}DIDs{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Dids - {{ canal }}</h1> 

			<br />
            <a type="button" class="btn btn-primary" href="{{ path('dids_new', {'canalDistribucion':canal }) }}">
                Nuevo Did
            </a>
            <a type="button" class="btn btn-primary" href="{{ path('dids_excel_export', {'canalDistribucion':canal }) }}">
                Excel
            </a>
			<br />
			<br />
    <table id="dids" class="table table-bordered table-striped table-condensed">
        <thead class="head_table">
            <tr>
                <th>Numero</th>
				<th>Oficina de Ventas</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td>{{ entity.numero }}</td>
				<td>{{ entity.oficinaVentas }}</td>
                <td>
                 <a type="button" class="btn btn-primary" href="{{ path('dids_edit', { 'id': entity.idDid,'canalDistribucion':canal }) }}">Editar</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
	</div>
    {% endblock %}
	
	{% block javascripts %}
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
<script type="text/javascript">  
  $(document).ready(function() {
    $('#dids').dataTable({
		"language":DataTables.languaje.es                    
			   			});


      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#dids_length" ).addClass( "form-inline" );
      $( "#dids_filter" ).addClass( "form-inline" );
                

} );
</script>
{% endblock %}

